
//1.7_ALPHATEST_35

singleton Material(pickup)
{
    mapTo = "pickup";
    diffuseMap[2] = "vehicles/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_n.dds";
    //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
    //normalMap[3] = "vehicles/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass)
{
    mapTo = "pickup_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pickup/pickup_glass_d.dds";
    specularMap[0] = "vehicles/pickup/pickup_glass_s.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_glass_da.dds";
    specularMap[1] = "vehicles/pickup/pickup_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_int)
{
    mapTo = "pickup_glass_int";
    diffuseMap[0] = "vehicles/pickup/pickup_glass_d.dds";
    specularMap[0] = "vehicles/pickup/pickup_glass_s.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_glass_da.dds";
    specularMap[1] = "vehicles/pickup/pickup_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_dmg)
{
    mapTo = "pickup_glass_dmg";
    diffuseMap[0] = "vehicles/pickup/pickup_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_glass_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_windshield_dmg)
{
    mapTo = "pickup_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pickup/pickup_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_glass_da.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_highbeam)
{
    mapTo = "pickup_highbeam";
};

singleton Material(pickup_lowbeam)
{
    mapTo = "pickup_lowbeam";
};

singleton Material(pickup_signal_L)
{
    mapTo = "pickup_signal_L";
};

singleton Material(pickup_signal_R)
{
    mapTo = "pickup_signal_R";
};

singleton Material(pickup_taillight_L)
{
    mapTo = "pickup_taillight_L";
};

singleton Material(pickup_taillight_R)
{
    mapTo = "pickup_taillight_R";
};

singleton Material(pickup_reverselight)
{
    mapTo = "pickup_reverselight";
};

singleton Material(pickup_chmsl)
{
    mapTo = "pickup_chmsl";
};

singleton Material(pickup_lights)
{
    mapTo = "pickup_lights";
    diffuseMap[1] = "vehicles/pickup/pickup_lights_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_lights_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_lights_n.dds";
    //diffuseMap[2] = "vehicles/pickup/pickup_lights_dirt.dds";
    //normalMap[2] = "vehicles/pickup/pickup_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on)
{
    mapTo = "pickup_lights_on";
    diffuseMap[2] = "vehicles/pickup/pickup_lights_g.dds";
    specularMap[2] = "vehicles/pickup/pickup_lights_s.dds";
    normalMap[2] = "vehicles/pickup/pickup_lights_n.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_lights_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_lights_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_lights_n.dds";
    //diffuseMap[3] = "vehicles/pickup/pickup_lights_dirt.dds";
    //normalMap[3] = "vehicles/pickup/pickup_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on_intense)
{
    mapTo = "pickup_lights_on_intense";
    diffuseMap[2] = "vehicles/pickup/pickup_lights_g.dds";
    specularMap[2] = "vehicles/pickup/pickup_lights_s.dds";
    normalMap[2] = "vehicles/pickup/pickup_lights_n.dds";
    diffuseMap[1] = "vehicles/pickup/pickup_lights_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_lights_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_lights_n.dds";
    //diffuseMap[3] = "vehicles/pickup/pickup_lights_dirt.dds";
    //normalMap[3] = "vehicles/pickup/pickup_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_dmg)
{
    mapTo = "pickup_lights_dmg";
    diffuseMap[1] = "vehicles/pickup/pickup_lights_dmg_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_lights_dmg_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/pickup/pickup_lights_dirt.dds";
    //normalMap[2] = "vehicles/pickup/pickup_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_interior)
{
    mapTo = "pickup_interior";
    normalMap[0] = "vehicles/pickup/pickup_interior_n.dds";
    diffuseMap[0] = "vehicles/pickup/pickup_interior_d.dds";
    specularMap[0] = "vehicles/pickup/pickup_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_gauges)
{
    mapTo = "pickup_gauges";
    diffuseMap[1] = "pickup_gauges_d.dds";
    specularMap[1] = "pickup_gauges_s.dds";
    diffuseMap[0] = "pickup_gauges_d.dds";
    specularMap[0] = "pickup_gauges_s.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(pickup_gauges_on)
{
    mapTo = "pickup_gauges_on";
    diffuseMap[1] = "pickup_gauges_d.dds";
    specularMap[1] = "pickup_gauges_s.dds";
    diffuseMap[0] = "pickup_gauges_d.dds";
    specularMap[0] = "pickup_gauges_s.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(roamer)
{
    mapTo = "roamer";
    diffuseMap[2] = "roamer_c.dds";
    specularMap[2] = "roamer_s.dds";
    normalMap[2] = "roamer_n.dds";
    diffuseMap[1] = "roamer_d.dds";
    specularMap[1] = "roamer_s.dds";
    normalMap[1] = "roamer_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("roamer.skin.sheriff")
{
    mapTo = "roamer.skin.sheriff";
    overlayMap[2] = "roamer_skin_sheriff.dds";
    diffuseMap[2] = "roamer_c.dds";
    specularMap[2] = "roamer_s.dds";
    normalMap[2] = "roamer_n.dds";
    diffuseMap[1] = "roamer_d.dds";
    specularMap[1] = "roamer_s.dds";
    normalMap[1] = "roamer_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("roamer.skin.firechief")
{
    mapTo = "roamer.skin.firechief";
    overlayMap[2] = "roamer_skin_firechief.dds";
    diffuseMap[2] = "roamer_c.dds";
    specularMap[2] = "roamer_s.dds";
    normalMap[2] = "roamer_n.dds";
    diffuseMap[1] = "roamer_d.dds";
    specularMap[1] = "roamer_s.dds";
    normalMap[1] = "roamer_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_interior)
{
    mapTo = "roamer_interior";
    normalMap[0] = "vehicles/pickup/roamer_interior_n.dds";
    diffuseMap[0] = "vehicles/pickup/roamer_interior_d.dds";
    specularMap[0] = "vehicles/pickup/roamer_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_roofrack)
{
    mapTo = "roamer_roofrack";
    diffuseMap[0] = "roamer_roofrack_D.dds";
    specularMap[0] = "roamer_roofrack_S.dds";
    normalMap[0] = "roamer_roofrack_N.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};


singleton Material(roamer_glass)
{
    mapTo = "roamer_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pickup/roamer_glass_d.dds";
    specularMap[0] = "vehicles/pickup/roamer_glass_s.dds";
    diffuseMap[1] = "vehicles/pickup/roamer_glass_da.dds";
    specularMap[1] = "vehicles/pickup/roamer_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_glass_tint)
{
    mapTo = "roamer_glass_tint";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/roamersport/roamer_glass_d_tint.dds";
    specularMap[0] = "vehicles/pickup/roamer_glass_s.dds";
    diffuseMap[1] = "vehicles/pickup/roamer_glass_da.dds";
    specularMap[1] = "vehicles/pickup/roamer_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_glass_int)
{
    mapTo = "roamer_glass_int";
    diffuseMap[0] = "vehicles/pickup/roamer_glass_d.dds";
    specularMap[0] = "vehicles/pickup/roamer_glass_s.dds";
    diffuseMap[1] = "vehicles/pickup/roamer_glass_da.dds";
    specularMap[1] = "vehicles/pickup/roamer_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_glass_dmg)
{
    mapTo = "roamer_glass_dmg";
    diffuseMap[0] = "vehicles/pickup/roamer_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/pickup/roamer_glass_dmg_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_windshield_dmg)
{
    mapTo = "roamer_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pickup/roamer_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/pickup/roamer_glass_da.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_lights)
{
    mapTo = "roamer_lights";
    diffuseMap[1] = "roamer_lights_d.dds";
    specularMap[1] = "roamer_lights_s.dds";
    normalMap[1] = "roamer_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_lights_on)
{
    mapTo = "roamer_lights_on";
    diffuseMap[2] = "roamer_lights_g.dds";
    specularMap[2] = "roamer_lights_s.dds";
    normalMap[2] = "roamer_lights_n.dds";
    diffuseMap[1] = "roamer_lights_d.dds";
    specularMap[1] = "roamer_lights_s.dds";
    normalMap[1] = "roamer_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_lights_on_intense)
{
    mapTo = "roamer_lights_on_intense";
    diffuseMap[2] = "roamer_lights_g.dds";
    specularMap[2] = "roamer_lights_s.dds";
    normalMap[2] = "roamer_lights_n.dds";
    diffuseMap[1] = "roamer_lights_d.dds";
    specularMap[1] = "roamer_lights_s.dds";
    normalMap[1] = "roamer_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_lights_dmg)
{
    mapTo = "roamer_lights_dmg";
    diffuseMap[1] = "roamer_lights_dmg_d.dds";
    specularMap[1] = "roamer_lights_dmg_s.dds";
    normalMap[1] = "roamer_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "roamer_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_gauges)
{
    mapTo = "roamer_gauges";
    diffuseMap[1] = "roamer_gauges_d.dds";
    specularMap[1] = "roamer_gauges_s.dds";
    normalMap[1] = "roamer_gauges_n.dds";
    diffuseMap[0] = "roamer_gauges_d.dds";
    specularMap[0] = "roamer_gauges_s.dds";
    normalMap[0] = "roamer_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(roamer_gauges_on)
{
    mapTo = "roamer_gauges_on";
    diffuseMap[1] = "roamer_gauges_d.dds";
    specularMap[1] = "roamer_gauges_s.dds";
    normalMap[1] = "roamer_gauges_n.dds";
    diffuseMap[0] = "roamer_gauges_d.dds";
    specularMap[0] = "roamer_gauges_s.dds";
    normalMap[0] = "roamer_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "1.8 1.2 0.2 0.25";
};

singleton Material(pickup_altfueltank)
{
    mapTo = "pickup_altfueltank";
    diffuseMap[1] = "vehicles/pickup/pickup_altfueltank_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_altfueltank_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_altfueltank_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_altfueltank_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(logo)
{
    mapTo = "logo";
    diffuseMap[1] = "vehicles/roamersport/logo_d.dds";
    specularMap[1] = "vehicles/roamersport/logo_s.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
};

singleton Material(roamer_headlight)
{
    mapTo = "roamer_headlight";
};

singleton Material(roamer_signal_L)
{
    mapTo = "roamer_signal_L";
};

singleton Material(roamer_signal_R)
{
    mapTo = "roamer_signal_R";
};

singleton Material(roamer_taillight_L)
{
    mapTo = "roamer_taillight_L";
};

singleton Material(roamer_taillight_R)
{
    mapTo = "roamer_taillight_R";
};

singleton Material(roamer_reverselight)
{
    mapTo = "roamer_reverselight";
};

singleton Material(roamer_chmsl)
{
    mapTo = "roamer_chmsl";
};
